use crate::models::core;
use crate::protobuf::rpc;
use crate::protobuf::pagination;
use crate::models::member;

const SUBJECT: &str = "bet.beteran.ss.member";


pub const SUBJECT_LIST_MEMBERS: &str = const_format::concatcp!(SUBJECT, ".ListMembers");
/// subject = bet.beteran.ss.member.ListMembers
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListMembersRequest {
    #[prost(message, optional, tag="1")]
    pub client: ::core::option::Option<core::network::Client>,
    #[prost(message, optional, tag="2")]
    pub pagination: ::core::option::Option<pagination::Pagination>,
    #[prost(message, repeated, tag="3")]
    pub searches: ::prost::alloc::vec::Vec<pagination::Search>,
    #[prost(message, repeated, tag="4")]
    pub sorts: ::prost::alloc::vec::Vec<pagination::Sort>,
    #[prost(string, optional, tag="5")]
    pub site_id: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag="6")]
    pub member_class_id: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag="7")]
    pub member_level_id: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag="8")]
    pub referrer_member_id: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag="9")]
    pub username_like: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag="10")]
    pub nickname_like: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag="11")]
    pub mobile_phone_number_like: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag="12")]
    pub last_signined_ip: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(enumeration="member::MemberState", optional, tag="13")]
    pub state: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag="14")]
    pub deleted_at: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListMembersResponse {
    #[prost(message, optional, tag="1")]
    pub error: ::core::option::Option<rpc::Error>,
    #[prost(message, optional, tag="2")]
    pub result: ::core::option::Option<list_members_response::Result>,
}
/// Nested message and enum types in `ListMembersResponse`.
pub mod list_members_response {
  use crate::models::member;
 
  #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Result {
        #[prost(message, repeated, tag="1")]
        pub members: ::prost::alloc::vec::Vec<member::MemberModel>,
    }
}

pub const SUBJECT_GET_MEMBER: &str = const_format::concatcp!(SUBJECT, ".GetMember");
/// subject = bet.beteran.ss.member.GetMember
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberRequest {
    #[prost(message, optional, tag="1")]
    pub client: ::core::option::Option<core::network::Client>,
    #[prost(string, tag="2")]
    pub id: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberResponse {
    #[prost(message, optional, tag="1")]
    pub error: ::core::option::Option<rpc::Error>,
    #[prost(message, optional, tag="2")]
    pub result: ::core::option::Option<get_member_response::Result>,
}
/// Nested message and enum types in `GetMemberResponse`.
pub mod get_member_response {
  use crate::models::member;

  #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Result {
        #[prost(message, optional, tag="1")]
        pub member: ::core::option::Option<member::MemberModel>,
    }
}

pub const SUBJECT_GET_MEMBER_BY_USERNAME: &str =
  const_format::concatcp!(SUBJECT, ".GetMemberByUsername");
/// subject = bet.beteran.ss.member.GetMemberByUsername
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberByUsernameRequest {
    #[prost(message, optional, tag="1")]
    pub client: ::core::option::Option<core::network::Client>,
    #[prost(string, tag="2")]
    pub username: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberByUsernameResponse {
    #[prost(message, optional, tag="1")]
    pub error: ::core::option::Option<rpc::Error>,
    #[prost(message, optional, tag="2")]
    pub result: ::core::option::Option<get_member_by_username_response::Result>,
}
/// Nested message and enum types in `GetMemberByUsernameResponse`.
pub mod get_member_by_username_response {
  use crate::models::member;

  #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Result {
        #[prost(message, optional, tag="1")]
        pub member: ::core::option::Option<member::MemberModel>,
    }
}
